org.eclipse.ease.modules

## Interface IScriptModule

All Known Implementing Classes:
  AbstractEnvironment, AbstractScriptModule, EnvironmentModule, NativeEnvironment

    public interface IScriptModule

Interface which may be implemented by script modules. If a module implements this interface, the script engine and environment will register themselves. Implementing this interface is optional for a module.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initialize(IScriptEngine engine, IEnvironment environment)` Provides script engine and environment instances.

### Method Detail

#### initialize

    void initialize(IScriptEngine engine,
                    IEnvironment environment)

Provides script engine and environment instances.

Parameters:
  `engine` - script engine this module is loaded in
  `environment` - environment module that tracks this module